import { assert } from "../../../../assert.js";

/**
 * Tests whether this edge is manifold.
 * A manifold edge has exactly 2 faces attached to it.
 * @param {TopoEdge} edge
 * @returns {boolean}
 */
export function query_edge_is_manifold(edge) {
    assert.notNull(edge, 'edge');
    return edge.faces.length === 2;
}

